Create the progress report for this transaction
POST https://api.company-information.service.gov.uk/transactions/{transaction_id}/insolvency/progress-report
| Parameter name |
Value |
Description |
Additional |
| transaction_id |
string |
The transaction unique reference
|
Required |
The request body takes a complete
writeable progress report resource, containing the following writable properties:
{
"attachments": [
"uuid"
],
"from_date": "date",
"to_date": "date"
}
| Name |
Type |
Description |
Additional |
|
attachments[]
|
array of uuid |
|
|
|
from_date
|
date |
|
|
|
to_date
|
date |
|
|
This request requires the use of one of following authorisation methods:
OAuth2.
For OAuth 2 authorisation, the following scopes are required:
| Scope |
Description |
| https://api.company-information.service.gov.uk/company/*/insolvency.write-full |
Grants full Insolvency Practitioner access |
| https://identity.company-information.service.gov.uk/user/profile.read |
User profile read permission |
The following HTTP status codes may be returned, optionally with a response resource.
| Status code |
Description |
Resource |
| 201 |
Created Progress report resource created
|
Progress Report |
| 400 |
Bad Request Bad request
|
|
| 401 |
Unauthorized Unauthorized
|
|
| 403 |
Forbidden Forbidden
|
|
| 500 |
Internal Server Error attachment not found on transaction
|
|